/*
			  IV Save Options Dialogs
 */

#ifndef SAVEDLG_H
#define SAVEDLG_H

#include <gtk/gtk.h>


extern gint iv_query_gif_opts(
	GtkWidget *ref_toplevel,
	const gchar *path,
	gboolean *interlaced,
	gint *format,		/* 0 = B&W
				 * 1 = Greyscale
				 * 2 = Color */
	gboolean *transparency
);
extern gint iv_query_jpeg_opts(
	GtkWidget *ref_toplevel,
	const gchar *path,
	gfloat *quality,	/* Value from 0.0 to 1.0 */
	gboolean *save_as_color
);
extern gint iv_query_png_opts(
	GtkWidget *ref_toplevel,
	const gchar *path,
	gint *compression,	/* Value from 0 to 9 */
	gint *format,		/* 0 = B&W
				 * 1 = Greyscale
				 * 2 = Greyscale Alpha
				 * 3 = RGB
				 * 4 = RGBA */
	gboolean *interlaced
);
extern gint iv_query_tga_opts(
	GtkWidget *ref_toplevel,
	const gchar *path,
	gint *format		/* 0 = Greyscale
				 * 1 = RGB
				 * 2 = RGBA */
);
extern gint iv_query_xpm_opts(
	GtkWidget *ref_toplevel,
	const gchar *path,
	gchar **c_id,
	gint *format,		/* 0 = B&W
				 * 1 = Greyscale
				 * 2 = Color */
	gint *max_colors,	/* -1 for no limit */
	guint8 *threshold	/* 0x00 to 0xff */
);


#endif	/* SAVEDLG_H */
